/* DBCOPYRE.PRG - Copy record to other workarea

   SYNTAX: fromAlias->( dbCopyRec( "toAlias" ) )
   COMPILE WITH /n 
*/

PROCEDURE dbCopyRec( cTo )
   LOCAL i,xTmp,cFld,nPos
   FOR i:= 1 TO FCount()                     // Each field in "from" database
      cFld:= FieldName( i )                  // Get i_th field's name
      xTmp:= FieldGet( i )                   // Get its value
      nPos:= ( cTo )->( FieldPos( cFld ) )   // Get field pos in "to" workarea
      IF nPos > 0                            // If field in "to" workarea
         ( cTo )->( FieldPut( nPos,xTmp ) )  // Replace "to" field 
      ENDIF
   NEXT
   RETURN

// EOF

