;  ------------------------------------------------------------------
LISTING 1
;  ------------------------------------------------------------------

1    Menu {Image} {Graph} {Load} {Pie1}
2    View "PieData"                    
3    MoveTo [# Rented]                 
4    GraphKey                          

;  ------------------------------------------------------------------
LISTING 2
;  ------------------------------------------------------------------

Menu {Image} {Graph} {ViewGraph} {Printer}

;  ------------------------------------------------------------------
LISTING 3
;  ------------------------------------------------------------------

Query

 Rental |                          Date                               | 
        | Check >=~d1,<=~d2,Calc 1 as "Month #",Calc "Jan" as "Month" | 

 Rental |         Customer #           | Film # |
        | Calc Count All as "# Rented" | _f     |

 Films | Film # | Category | 
       | _f     | Check    | 

Endquery

;  ------------------------------------------------------------------
LISTING 4
;  ------------------------------------------------------------------

CoEdit "Step1"
Scan
   [Month #] = year([Date])*100 + month([Date])
   [Month]   = moy([Date])
EndScan
Do_it!

;  ------------------------------------------------------------------
LISTING 5
;  ------------------------------------------------------------------

Rename "Answer" "Step2"
Sort "Step2" on "# Rented" D
Reset
CoEdit "Step2"
For i from 1 to 5 Del EndFor
Do_it!                      

;  ------------------------------------------------------------------
LISTING 6
;  ------------------------------------------------------------------

View "Step1"
Right   Menu {Image} {Move} {Month #} Enter
Right   Menu {Image} {Move} {Month} Enter 
CtrlEnd Menu {Image} {Move} {# Rented} Enter 
Left    Menu {Image} {Move} {Category} Enter 
MoveTo [Month]
CrosstabKey

;  ------------------------------------------------------------------
LISTING 7
;  ------------------------------------------------------------------

1    Menu {Image} {Graph} {Load} {Bar1}
2    Menu {Image} {Graph} {Modify}     
3    Menu {Overall} {Titles}           
4    Down Down CtrlBackspace
5    TypeIn strval(d1) + " through " + strval(d2)
6    Do_It!

;  ------------------------------------------------------------------
LISTING 8
;  ------------------------------------------------------------------

View "CrossTab"
MoveTo [Month] Right
GraphKey

;  ------------------------------------------------------------------
